Bug 27533 - RPC call can take 25secs to respond
Summary: RPC call can take 25secs to respond
Status: RESOLVED WORKSFORME
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.5
Hardware: All All
: medium normal
Assignee: Havoc Pennington
QA Contact: John (J5) Palmieri
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-08 01:03 UTC by tim
Modified: 2014-09-23 15:53 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tim 2010-04-08 01:03:31 UTC
I am using dbus 1.2.14 with glib bindings on embedded linux (using uclibc) with mips cpu.

Occasionally (1 in 200) there is a delay of 25secs. This is due to the poll for a response timing out. In fact the response has actually arrived before the poll was issued.
In _dbus_connection_block_pending_call, it seems that it is possible for the response to arrive after the call to check_for_reply_and_update_dispatch_unlocked
but before the call to poll within _dbus_connection_do_iteration_unlocked.

It seems that no mutex is taken at this point so such a thing is possible
Comment 1 Thiago Macieira 2010-04-08 02:08:03 UTC
Upgrade to 1.2.24 and try again.
Comment 2 Johan Redestig 2010-04-24 04:46:14 UTC
Maybe this is the same as in: https://bugs.freedesktop.org/show_bug.cgi?id=27811 ? you could try that patch.
Comment 3 Simon McVittie 2011-04-07 04:18:06 UTC
Is this reproducible with a current stable release? (At the time of writing these are 1.2.26 or 1.4.6)
Comment 4 Chandrashekar 2012-09-20 14:07:55 UTC
Hi, 

I am facing a similar issue while using dbus 1.2.16. I have also tried applying the patch specified in https://bugs.freedesktop.org/show_bug.cgi?id=27811 with no success. 

Can you please let me know if this issue is expected to be resolved by moving to 1.2.26?
Comment 5 Thiago Macieira 2012-09-20 14:22:02 UTC
(In reply to comment #4)
> Can you please let me know if this issue is expected to be resolved by moving
> to 1.2.26?

We are hoping that, yes.

But if you've applied the patch and it still doesn't work, it might be a different, still-uncorrected issue.

Anyway, we're not supporting D-Bus 1.2 anymore, except for security fixes. Please try the latest 1.4 or 1.6.
Comment 6 Chandrashekar 2012-09-24 12:31:43 UTC
> (In reply to comment #4)
> We are hoping that, yes.

Update: I can confirm that the issue is still seen after moving to dbus 1.2.26.
Comment 7 Thiago Macieira 2012-09-24 13:29:03 UTC
(In reply to comment #6)
> > (In reply to comment #4)
> > We are hoping that, yes.
> 
> Update: I can confirm that the issue is still seen after moving to dbus
> 1.2.26.

Ok, thank you. But unfortunately we don't support that release anymore. The bug might be real, but it won't get fixed there.

If it still exists in 1.6, we'll fix. In 1.4, if it's a threading issue, we will probably not fix.
Comment 8 Chandrashekar 2012-09-24 15:49:17 UTC
Thanks. I will move to 1.6.4 and check if it resolves the issue.
Comment 9 Simon McVittie 2014-09-23 15:53:10 UTC
Resolving WORKSFORME, please reopen if you can reproduce this on a modern dbus (and preferably provide a test case or a patch).


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.